Summary: logs TCP, UDP, and ICMP connections to syslog.
Name: iplog
Version: 1.8
Release: 2
Source: http://www.ojnk.nu/~eric/%{name}-%{version}.tar.gz
Source1: iplog.init 
Patch0: config.h.diff
Copyright: GPL
Group: Networking/Daemons
Packager: Jeremy Fischer <jeremy@pobox.com>, Gomez Henri <gomez@slib.fr>, Rod Cordova <rcordova@ethernet.org>
Buildroot: /var/tmp/iplog-build
Prereq: /sbin/chkconfig

%description
These three programs let you log tcp, udp, and icmp connections in syslog,
along with the hostname. They are just something whipped up quickly,
and could be improved alot - especially the icmp logging program.

%changelog
* Tue Apr 27 1999 Jeremy Fischer <jeremy@pobox.com>
- Updated to version 1.8
- config.h reflects using NFS...easily changeable for repackaging if needed

* Mon Mar  29 1999 Gomez Henri <gomez@slib.fr>
- Updated to version 1.7
- cleanup spec file

* Wed Feb  24 1999 Rod Cordova <rcordova@ethernet.org>
- Updated to version 1.2
- Fixed config.h to compile with user/group of 'nobody'

* Sun Sep  6 1998 Tim Ricketts <Timothy.Ricketts@Oxford.ac.uk>
- Fixed iplog.init with a patch from Marc Merlin <marc.merlin@magic.metawire.com>

%prep
%setup 
%patch0
cd /usr/src/redhat/BUILD
%build
make

%install
[ "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m755 -o root -g root icmplog $RPM_BUILD_ROOT/usr/sbin/icmplog
install -m755 -o root -g root tcplog $RPM_BUILD_ROOT/usr/sbin/tcplog
install -m755 -o root -g root udplog $RPM_BUILD_ROOT/usr/sbin/udplog
install -m755 -o root -g root $RPM_SOURCE_DIR/iplog.init \
 			      $RPM_BUILD_ROOT/etc/rc.d/init.d/iplog

%clean
[ "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iplog

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del iplog
fi


%files
%doc README Changelog COPYING
/usr/sbin/*

%config /etc/rc.d/init.d/iplog
